Bug 452387 - (netblox) Review Request: netblox - A console-based, networked falling blocks game
Review Request: netblox - A console-based, networked falling blocks game
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-21 15:46 EDT by Marcin Łabanowski
Modified: 2013-10-19 10:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 10:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Marcin Łabanowski 2008-06-21 15:46:38 EDT
Spec URL: http://rydzyk.net/fedora/netris.spec
SRPM URL: http://rydzyk.net/fedora/netris-0.52-3.fc9.src.rpm
Description: Netris is a curses-based Tetris clone. It has single player
and internet game (2 player) modes. You can also play against
a bot.

I need a sponsor, because it is my first package.
Comment 1 Jason Tibbitts 2008-06-21 16:33:11 EDT
My understanding is that we can't package Teris clones, especially if we
actually go so far as to call them "Tetris clones".

Asking the legal folks for advice.
Comment 2 Marcin Łabanowski 2008-06-21 16:46:08 EDT
As far as I know, there is a company, which holds "Tetris" trademark, but they
do not own anything else (like patents, look and feel...). Because of that,
upstream describes this game "version of T*tris", anyway, this is only
description, so I thought it wouldn't make any problems. Also, there are some
clones already packaged, like ksirtet from kdegames3.

Anyway, thank you for help. I know there are some rules here.
Comment 3 Tom "spot" Callaway 2008-07-01 11:45:23 EDT
The clone is not the problem, the trademark is. The name of the game cannot use
the registered "Tetris" trademark, or anything similar to it. "Netris" is far
too similar to "Tetris", as would be "T*tris" or anything which rhymes with
"Tetris".

As is, this package is not acceptable for Fedora, however you can make it
acceptable by renaming the game so that it does not violate the trademark, and
minimizing the use of the "Tetris" mark to nominative use (basically, you can
say that "$FOO is a puzzle game similar to Tetris (tm)"). You cannot call it a
"Tetris clone".

You could rename the game to something like NetFallingBlocks, NetBlockPuzzle, or
anything else really, as long as it doesn't infringe upon the "Tetris" mark. You
would need to be sure that the rename occurs in all user visible places
(anything a user might be able to see while playing the game). You would not
need to rename internal functions or the actual binary executable. The RPM name
would need to change.

If you have questions, please let me know.

Comment 4 Marcin Łabanowski 2008-07-01 14:32:33 EDT
Thank you for reply. I have chosen "netblocks" as the new name. At the moment
I'm patching documentation. Do I have to include some copyright information
about Tetris if I say "similar to Tetris (tm)"?
Comment 5 Jason Tibbitts 2008-07-01 14:41:38 EDT
Have you perhaps seen http://savannah.nongnu.org/projects/netblocks ?
Comment 6 Marcin Łabanowski 2008-07-01 14:53:19 EDT
I saw that, but there weren't any releases. I looked at their SVN and it was
empty. Now, after a longer investigation I have found http://games.court-empty. Now, after a longer investigation I have found http://games.court-jus.net/netblocks#attachments . It seems like I need to find another name.
Comment 7 Marcin Łabanowski 2008-07-01 15:55:27 EDT
Finally, I think everything in docs and software is renamed.

Spec URL: http://rydzyk.net/fedora/netblox.spec
SRPM URL: http://rydzyk.net/fedora/netblox-0.52-4.fc9.src.rpm
Comment 8 Tom "spot" Callaway 2008-09-03 11:19:38 EDT
Lifting FE-Legal, there is no longer a trademark issue here.
Comment 9 Jon Ciesla 2008-10-14 15:50:03 EDT
rpmlint clean.

Drop the explicit ncurses Requires, rpm will do it automatically.

Despite being a console app, this could benefit from a .desktop file, see bombardier.

netblox -R mentions the Forbidden Proper Noun.  Probably should be patched to be more general, but it's your call, as Spot did indeed lift the Legal flag.  Spot is still free to correct me on this, however.

Mock build fails.

Patch #7 (netris-0.52-pysiak1.diff):
+ /bin/cat /builddir/build/SOURCES/netris-0.52-pysiak1.diff
+ /usr/bin/patch -s -p1 --fuzz=0
4 out of 6 hunks FAILED
 -- saving rejects to file game.c.rej
1 out of 1 hunk FAILED
 -- saving rejects to file inet.c.rej
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.rqp5dT (%prep)
    Bad exit status from /var/tmp/rpm-tmp.rqp5dT (%prep)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/netblox.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 316, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/netblox.spec']
LEAVE do --> EXCEPTION RAISED


You should either re-diff the patch, or put this at the beginning of the spec as a temporary workaround:

%define _default_patch_fuzz 2

Honestly, re-diffing would be better.

Once fixed, mock builds are fine, no BuildRequire issues.

Other than the Requires and patch fuzz issue, there are really no blockers after a full review.

Since I see you need a sponsor, please do a few practice reviews and post links here.  Once that's done satisfactorily, I'd be willing to sponsor you.
Comment 10 Jon Ciesla 2009-03-31 09:21:24 EDT
Ping?
Comment 11 Marcin Łabanowski 2009-04-06 09:43:17 EDT
Whoops, I'm sorry, I had misconfigured my gmail filters, so I didn't receive notification about your message. The patch was rejected due to the earlier rpm behaviour and guidelines, that allowed fuzzy patches. I'm going to release updated package later today.
Comment 12 Jon Ciesla 2009-04-06 09:57:11 EDT
Sounds good.  Thanks!
Comment 13 Marcin Łabanowski 2009-04-06 11:42:27 EDT
Spec URL: http://rydzyk.net/fedora/netblox.spec
SRPM URL: http://rydzyk.net/fedora/netblox-0.52-6.fc10.src.rpm

BTW. my rename patch renames T*tris to Tetris(tm) in order for it to look better. Spot said above, that the package can't be "Tetris" or "Tetris clone", but it can be "similar to Tetris".
Comment 14 Tom "spot" Callaway 2009-04-06 11:49:38 EDT
If you're going to do this, don't use (R) or (TM). Instead, have a line that says:

"Tetris is a registered trademark of The Tetris Company."
Comment 15 Tom "spot" Callaway 2009-04-06 11:50:27 EDT
(In reply to comment #14)
> If you're going to do this, don't use (R) or (TM).

I know this is slightly different from what I said back in 2008, but Red Hat Legal has adjusted their advice about the use of trademark symbols since then.
Comment 16 Marcin Łabanowski 2009-04-08 13:13:22 EDT
I've addressed these issues in the new release.

Spec URL: http://rydzyk.net/fedora/netblox.spec
SRPM URL: http://rydzyk.net/fedora/netblox-0.52-7.fc10.src.rpm
Comment 17 Jon Ciesla 2009-04-08 13:39:53 EDT
Looks better, only two things. 

1. Drop the explicit ncurses Requires.
2. I don't see the icon in my menus.  Is it placed properly?

Since you're this close, it's probably a good time to start those practice reviews.
Comment 18 Marcin Łabanowski 2009-04-08 14:41:27 EDT
My first practice review:
https://bugzilla.redhat.com/show_bug.cgi?id=494171

The icon is in compressed SVG format and your desktop environment might not support it (I'm using only KDE, that's why I didn't spot this), so I'm going to rasterize it in the next release.
Comment 19 Jon Ciesla 2009-04-08 14:49:23 EDT
I'm using GNOME, but it's best to use something as many as possible can use.  PNG would probably be best.
Comment 20 Jon Ciesla 2009-04-08 15:08:22 EDT
See comments on 494171.
Comment 21 Marcin Łabanowski 2009-04-08 15:09:35 EDT
Spec URL: http://rydzyk.net/fedora/netblox.spec
SRPM URL: http://rydzyk.net/fedora/netblox-0.52-8.fc10.src.rpm
Changelog:
- Drop explicit ncurses requirement
- Rasterize icon
Comment 22 Jon Ciesla 2009-04-08 15:34:12 EDT
Much better.  Just a couple more practice reviews and we're on our way.
Comment 23 Marcin Łabanowski 2009-04-08 16:31:38 EDT
OK, my next review:
https://bugzilla.redhat.com/show_bug.cgi?id=489728
Comment 24 Jon Ciesla 2009-04-09 09:33:01 EDT
See comments on 489728.
Comment 25 Jon Ciesla 2010-04-29 15:58:37 EDT
Ping?
Comment 26 Jon Ciesla 2010-10-29 10:03:43 EDT
Closing, non-responsive submitter.  Please re-open if still interested.

Note You need to log in before you can comment on or make changes to this bug.